http://codeguru-profiler.{region}.amazonaws.com/internal/profilingGroups/{profilingGroupName}/anomalies/{anomalyInstanceId}/feedbackSends feedback to CodeGuru Profiler about whether the anomaly detected by the analysis is useful or not.
The universally unique identifier (UUID) of the <a href="https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_AnomalyInstance.html"> <code>AnomalyInstance</code> </a> object that is included in the analysis data.
The name of the profiling group that is associated with the analysis data.
The feedback tpye. Thee are two valid values, <code>Positive</code> and <code>Negative</code>.
Optional feedback about this anomaly.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://codeguru-profiler.{region}.amazonaws.com/internal/profilingGroups/{profilingGroupName}/anomalies/{anomalyInstanceId}/feedback' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://codeguru-profiler.{region}.amazonaws.com/internal/profilingGroups/{profilingGroupName}/anomalies/{anomalyInstanceId}/feedbackSends feedback to CodeGuru Profiler about whether the anomaly detected by the analysis is useful or not.
The universally unique identifier (UUID) of the <a href="https://docs.aws.amazon.com/codeguru/latest/profiler-api/API_AnomalyInstance.html"> <code>AnomalyInstance</code> </a> object that is included in the analysis data.
The name of the profiling group that is associated with the analysis data.
The feedback tpye. Thee are two valid values, <code>Positive</code> and <code>Negative</code>.
Optional feedback about this anomaly.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://codeguru-profiler.{region}.amazonaws.com/internal/profilingGroups/{profilingGroupName}/anomalies/{anomalyInstanceId}/feedback' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}